ResourceBlacklistRequest (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.records, class: ResourceBlacklistRequest

Package org.apache.hadoop.yarn.api.records

# Class ResourceBlacklistRequest

java.lang.Object
org.apache.hadoop.yarn.api.records.ResourceBlacklistRequest

@Public @Stable public abstract class ResourceBlacklistRequest extends Object
`ResourceBlacklistRequest` encapsulates the list of resource-names which should be added or removed from the blacklist of resources for the application.

See Also:
  - `ResourceRequest`
  - `ApplicationMasterProtocol.allocate(org.apache.hadoop.yarn.api.protocolrecords.AllocateRequest)`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResourceBlacklistRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract List<String>`
  `getBlacklistAdditions()`
  Get the list of resource-names which should be added to the application blacklist.
  `abstract List<String>`
  `getBlacklistRemovals()`
  Get the list of resource-names which should be removed from the application blacklist.
  `static ResourceBlacklistRequest`
  `newInstance(List<String> additions, List<String> removals)`
  `abstract void`
  `setBlacklistAdditions(List<String> resourceNames)`
  Set list of resource-names which should be added to the application blacklist.
  `abstract void`
  `setBlacklistRemovals(List<String> resourceNames)`
  Set list of resource-names which should be removed from the application blacklist.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ResourceBlacklistRequest

    public ResourceBlacklistRequest()

- ## Method Details

  - ### newInstance

    @Public @Stable public static ResourceBlacklistRequest newInstance(List<String> additions, List<String> removals)

  - ### getBlacklistAdditions

    @Public @Stable public abstract List<String> getBlacklistAdditions()
    Get the list of resource-names which should be added to the application blacklist.
    Returns:
      list of resource-names which should be added to the application blacklist

  - ### setBlacklistAdditions

    @Public @Stable public abstract void setBlacklistAdditions(List<String> resourceNames)
    Set list of resource-names which should be added to the application blacklist.
    Parameters:
      `resourceNames` - list of resource-names which should be added to the application blacklist

  - ### getBlacklistRemovals

    @Public @Stable public abstract List<String> getBlacklistRemovals()
    Get the list of resource-names which should be removed from the application blacklist.
    Returns:
      list of resource-names which should be removed from the application blacklist

  - ### setBlacklistRemovals

    @Public @Stable public abstract void setBlacklistRemovals(List<String> resourceNames)
    Set list of resource-names which should be removed from the application blacklist.
    Parameters:
      `resourceNames` - list of resource-names which should be removed from the application blacklist